<?php
	
if ( !defined( 'ABSPATH' ) ) {
	exit(); // Exit if accessed directly
}

/**
* This class handles free module tables
**/

class IT_RST_RP_Table {
    
    // Singleton design pattern
    protected static $instance = NULL;
    
    // Method to return the singleton instance
    public static function get_instance() {
	    
        if ( null == self::$instance ) {
            self::$instance = new self();
        }
        
        return self::$instance;
    }

    public function __construct() {}
    
    // Best Customers
    public function table_bestCustomers( $renderHtml, $dateStart, $dateEnd ) {

		$content = RST_Reporting_Queries::get_instance()->bestCustomers( $dateStart, $dateEnd );
		
		if ( $renderHtml == '1' ) {
			$html = '<table id="it_rst_dataTable" cellspacing="0" width="100%">
	            		<thead>
	            			<tr class="it_rst_dataTable_head">
	            				<th class="sm-show"><span style="padding-left: 25px;"></span>' . __( 'Name', 'ithemes-sales-accelerator' ) .'</th>
	            				<th class="sm-hide s-hide">' . __( 'Country', 'ithemes-sales-accelerator' ) .'</th>
	            				<th class="s-hide sm-show">' . __( 'Email', 'ithemes-sales-accelerator' ) .'</th>
								<th class="sm-hide s-hide">' . __( 'Orders', 'ithemes-sales-accelerator' ) .'</th>
								<th class="sm-show">' 		 . __( 'Spend', 'ithemes-sales-accelerator' ) .'</th>
							</tr>
	            		</thead>
	            		<tfoot>
				            <tr>
				                <th class="sm-show">' 		 . __( 'Name', 'ithemes-sales-accelerator' ) .'</th>
				                <th class="sm-hide s-hide">' . __( 'Country', 'ithemes-sales-accelerator' ) .'</th>
				                <th class="s-hide sm-show">' . __( 'Email', 'ithemes-sales-accelerator' ) .'</th>
				                <th class="sm-hide s-hide">' . __( 'Orders', 'ithemes-sales-accelerator' ) .'</th>
				                <th class="sm-show">' 		 . __( 'Spend', 'ithemes-sales-accelerator' ) .'</th>
				            </tr>
				        </tfoot>
	            		<tbody>';
	        $i = 1;
	        foreach ( $content as $item ) {

		        $html .='	<tr>
	            				<td class="sm-show"><a href="' . get_edit_user_link( $item['customer_id'] ) . '"><b>' . $item['name'] . '</b></a></td>
	            				<td class="sm-hide s-hide">'   . $item['country'] . '</td>
	            				<td class="s-hide sm-show">'   . $item['email'] . '</td>
	            				<td class="sm-hide s-hide">'   . $item['orders'] . '</td>
	            				<td class="sm-show">' 		   . $item['spend'] . '</td>
	            			</tr>';
	            $i++;
	            if ( $i == 40 ) {
	            	break;
				}
	        }
            $html.= '</tbody></table>';
		
			return array( 'html' => $html, 'order' => 4, 'order_type' => 'desc' );
		}
		else {
			return array( 'columns' => array( 'name' => 'Name', 'country' => 'Country', 'email' => 'Email', 'orders' => 'Orders', 'spend' => 'Spend' ), 'values' => $content, 'order' => 4, 'order_type' => 'desc' );
		}
    }    
      
    // Top Countries
    public function table_topCountries( $renderHtml, $dateStart, $dateEnd ) {

		$content = RST_Reporting_Queries::get_instance()->topCountries_Table( $dateStart, $dateEnd );

		if ( $renderHtml == '1' ) {
			$html = '<table id="it_rst_dataTable" cellspacing="0" width="100%">
	            		<thead>
	            			<tr class="it_rst_dataTable_head">
	            				<th class="sm-show"><span style="padding-left: 25px;"></span>' . __( 'Country', 'ithemes-sales-accelerator' ) .'</th>
	            				<th class="sm-show">' 		 . __( 'Total', 'ithemes-sales-accelerator' ) .'</th>
	            				<th class="s-hide sm-show">' . __( 'Num. Orders', 'ithemes-sales-accelerator' ) .'</th>
								<th class="sm-hide s-hide">' . __( 'Num. Products', 'ithemes-sales-accelerator' ) .'</th>
								<th class="sm-hide s-hide">' . __( 'Total Coupons', 'ithemes-sales-accelerator' ) .'</th>
							</tr>
	            		</thead>
	            		<tfoot>
				            <tr>
				                <th class="sm-show"><span style="padding-left: 25px;"></span>' . __( 'Country', 'ithemes-sales-accelerator' ) .'</th>
	            				<th class="sm-show">' 		 . __( 'Total', 'ithemes-sales-accelerator' ) .'</th>
	            				<th class="s-hide sm-show">' . __( 'Num. Orders', 'ithemes-sales-accelerator' ) .'</th>
								<th class="sm-hide s-hide">' . __( 'Num. Products', 'ithemes-sales-accelerator' ) .'</th>
								<th class="sm-hide s-hide">' . __( 'Total Coupons', 'ithemes-sales-accelerator' ) .'</th>
				            </tr>
				        </tfoot>
	            		<tbody>';
	        $i = 1;
	        foreach ( $content as $item ) {

		        $html .='	<tr>
	            				<td class="sm-show"><b>' 	 . $item['country'] . '</b></td>
	            				<td class="sm-hide s-hide">' . $item['total'] . '</td>
	            				<td class="s-hide sm-show">' . $item['num_orders'] . '</td>
	            				<td class="sm-hide s-hide">' . $item['num_products'] . '</td>
	            				<td class="sm-show">' 		 . $item['coupons'] . '</td>
	            			</tr>';
	            $i++;
	            if ( $i == 40 ) {
	            	break;
	            }
	        }
	        
            $html .= '</tbody></table>';
			
			return array( 'html' => $html, 'order' => 1, 'order_type' => 'desc' );
		}
		else {
			return array( 'columns' => array( 'country' => 'Country', 'total' => 'Total', 'num_orders' => 'Num. Orders', 'num_products' => 'Num. Products', 'coupons' => 'Total Coupons' ), 'values' => $content, 'order' => 1, 'order_type' => 'desc' );
		}
    }
        
    // Send result by JSON Endpoint
    public function contentTable_json_endpoint( $request ) {
	    
	    $params = $request->get_params();
	    
	    // Get params
	    $renderHtml = isset( $params['renderHtml'] ) ? $params['renderHtml'] : '';
	    $tableName 	= isset( $params['slug'] ) 		 ? $params['slug'] 		 : '';
	    $dateStart 	= isset( $params['dateStart'] )  ? $params['dateStart']  : date( 'Y-m-d', ( strtotime ( '-30 days' ) ) );
	    $dateEnd 	= isset( $params['dateEnd'] ) 	 ? $params['dateEnd'] 	 : date( 'Y-m-d' );
	    $data 		= array();
		
		switch ( $tableName ) {
		    // Best Customers
		    case 'best_customers':
		    	if ( $renderHtml == '1' ) {
		    		$data = $this->table_bestCustomers( $renderHtml, $dateStart, $dateEnd );
		    	}
		    	else {
					$data = $this->table_bestCustomers( '', $dateStart, $dateEnd );
				}
			break;
						
			// Top Countries
		    case 'top_countries':
		    	if ( $renderHtml == '1' ) {
		    		$data = $this->table_topCountries( $renderHtml, $dateStart, $dateEnd );
		    	}
		    	else {
					$data = $this->table_topCountries( '', $dateStart, $dateEnd );
				}
			break;			
		}
		
	    return new IT_REST_Response( array( 'result' => true, 'data' => $data )  , 200 );
    }
}